picplanner_sources = [
  'main.c',
  'window/picplanner-window.c',
  'picplanner-application.c',
  'window/preferences-dialog/preferences-dialog.c',
  'window/overview-page/overview-view.c',
  'window/sun-page/sun-view.c',
  'window/moon-page/moon-view.c',
  'window/milky-way-page/milky-way-view.c',
  'calculations/calculations_transformations.c',
  'calculations/calculations_sun.c',
  'calculations/calculations_moon.c',
  'calculations/calculations_milky_way.c',
  'search/search.c',
  'map/draw-layer.c',
  'map/marker.c',
  'location/location-service.c',
  'time-picker/time-picker.c'
  ]

picplanner_deps = [
  dependency('gtk4'),
  dependency('libadwaita-1'),
  dependency('shumate-1.0'),
  dependency('geocode-glib-2.0'),
  dependency('gweather4'),
  dependency('libgeoclue-2.0'),
  meson.get_compiler('c').find_library('m', required: false),
]

gnome = import('gnome')

picplanner_sources += gnome.compile_resources('picplanner-resources',
  'picplanner.gresource.xml',
  c_name: 'picplanner'
)

executable('picplanner',
  picplanner_sources,
  dependencies: picplanner_deps,
  install: true,
)
